Loading...
Searching...
No Matches
pdumodel::PowerMeter::Settings Struct Reference

Power meter settings. More...

`import "PowerMeter.idl";`

## Public Attributes

string | name
| User-defined name.
int | currentRating
| Current rating in Amps.
int | phaseCtRating
| Phase current transformer rating in Amps (0 for none)
int | neutralCtRating
| Neutral current transformer rating in Amps (0 for none)
int | earthCtRating
| P.E. current transformer rating in Amps (0 for none)
int | modbusUnitAddress
| Modbus unit address (1..255, 0 to disable Modbus for this meter)

## Detailed Description

Power meter settings.

Definition at line 88 of file PowerMeter.idl.

## Member Data Documentation

## currentRating

int pdumodel::PowerMeter::Settings::currentRating

Current rating in Amps.

Definition at line 90 of file PowerMeter.idl.

## earthCtRating

int pdumodel::PowerMeter::Settings::earthCtRating

P.E. current transformer rating in Amps (0 for none)

Definition at line 93 of file PowerMeter.idl.

## modbusUnitAddress

int pdumodel::PowerMeter::Settings::modbusUnitAddress

Modbus unit address (1..255, 0 to disable Modbus for this meter)

Definition at line 94 of file PowerMeter.idl.

## name

string pdumodel::PowerMeter::Settings::name

User-defined name.

Definition at line 89 of file PowerMeter.idl.

## neutralCtRating

int pdumodel::PowerMeter::Settings::neutralCtRating

Neutral current transformer rating in Amps (0 for none)

Definition at line 92 of file PowerMeter.idl.

## phaseCtRating

int pdumodel::PowerMeter::Settings::phaseCtRating

Phase current transformer rating in Amps (0 for none)

Definition at line 91 of file PowerMeter.idl.

The documentation for this struct was generated from the following file:

- PowerMeter.idl